package com.mortals.xhx.module.project.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.project.model.ProjectStudyEntity;
/**
* 项目学习人员查询对象
*
* @author zxfei
* @date 2023-02-23
*/
public class ProjectStudyQuery extends ProjectStudyEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 项目id */
    private Long projectIdStart;

    /** 结束 项目id */
    private Long projectIdEnd;

    /** 增加 项目id */
    private Long projectIdIncrement;

    /** 项目id列表 */
    private List <Long> projectIdList;

    /** 项目id排除列表 */
    private List <Long> projectIdNotList;

    /** 开始 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识) */
    private Integer projectTypeStart;

    /** 结束 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识) */
    private Integer projectTypeEnd;

    /** 增加 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识) */
    private Integer projectTypeIncrement;

    /** 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)列表 */
    private List <Integer> projectTypeList;

    /** 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)排除列表 */
    private List <Integer> projectTypeNotList;

    /** 项目名称 */
    private List<String> titleList;

    /** 项目名称排除列表 */
    private List <String> titleNotList;
    /** 开始 用户id */
    private Long userIdStart;

    /** 结束 用户id */
    private Long userIdEnd;

    /** 增加 用户id */
    private Long userIdIncrement;

    /** 用户id列表 */
    private List <Long> userIdList;

    /** 用户id排除列表 */
    private List <Long> userIdNotList;

    /** 用户名称 */
    private List<String> userNameList;

    /** 用户名称排除列表 */
    private List <String> userNameNotList;
    /** 所属部门 */
    private List<String> deptNameList;

    /** 所属部门排除列表 */
    private List <String> deptNameNotList;
    /** 开始 学习状态(0.未学习,1.已学习) */
    private Integer studyStatusStart;

    /** 结束 学习状态(0.未学习,1.已学习) */
    private Integer studyStatusEnd;

    /** 增加 学习状态(0.未学习,1.已学习) */
    private Integer studyStatusIncrement;

    /** 学习状态(0.未学习,1.已学习)列表 */
    private List <Integer> studyStatusList;

    /** 学习状态(0.未学习,1.已学习)排除列表 */
    private List <Integer> studyStatusNotList;

    /** 开始 是否置顶(0.否，1.是) */
    private Integer topStart;

    /** 结束 是否置顶(0.否，1.是) */
    private Integer topEnd;

    /** 增加 是否置顶(0.否，1.是) */
    private Integer topIncrement;

    /** 是否置顶(0.否，1.是)列表 */
    private List <Integer> topList;

    /** 是否置顶(0.否，1.是)排除列表 */
    private List <Integer> topNotList;

    /** 开始 学习时间 */
    private String studyTimeStart;

    /** 结束 学习时间 */
    private String studyTimeEnd;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProjectStudyQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProjectStudyQuery> andConditionList;

    public ProjectStudyQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 项目id
    * @return projectIdStart
    */
    public Long getProjectIdStart(){
        return this.projectIdStart;
    }

    /**
    * 设置 开始 项目id
    * @param projectIdStart
    */
    public void setProjectIdStart(Long projectIdStart){
        this.projectIdStart = projectIdStart;
    }

    /**
    * 获取 结束 项目id
    * @return $projectIdEnd
    */
    public Long getProjectIdEnd(){
        return this.projectIdEnd;
    }

    /**
    * 设置 结束 项目id
    * @param projectIdEnd
    */
    public void setProjectIdEnd(Long projectIdEnd){
        this.projectIdEnd = projectIdEnd;
    }

    /**
    * 获取 增加 项目id
    * @return projectIdIncrement
    */
    public Long getProjectIdIncrement(){
        return this.projectIdIncrement;
    }

    /**
    * 设置 增加 项目id
    * @param projectIdIncrement
    */
    public void setProjectIdIncrement(Long projectIdIncrement){
        this.projectIdIncrement = projectIdIncrement;
    }

    /**
    * 获取 项目id
    * @return projectIdList
    */
    public List<Long> getProjectIdList(){
        return this.projectIdList;
    }

    /**
    * 设置 项目id
    * @param projectIdList
    */
    public void setProjectIdList(List<Long> projectIdList){
        this.projectIdList = projectIdList;
    }

    /**
    * 获取 项目id
    * @return projectIdNotList
    */
    public List<Long> getProjectIdNotList(){
        return this.projectIdNotList;
    }

    /**
    * 设置 项目id
    * @param projectIdNotList
    */
    public void setProjectIdNotList(List<Long> projectIdNotList){
        this.projectIdNotList = projectIdNotList;
    }


    /**
    * 获取 开始 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @return projectTypeStart
    */
    public Integer getProjectTypeStart(){
        return this.projectTypeStart;
    }

    /**
    * 设置 开始 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeStart
    */
    public void setProjectTypeStart(Integer projectTypeStart){
        this.projectTypeStart = projectTypeStart;
    }

    /**
    * 获取 结束 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @return $projectTypeEnd
    */
    public Integer getProjectTypeEnd(){
        return this.projectTypeEnd;
    }

    /**
    * 设置 结束 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeEnd
    */
    public void setProjectTypeEnd(Integer projectTypeEnd){
        this.projectTypeEnd = projectTypeEnd;
    }

    /**
    * 获取 增加 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @return projectTypeIncrement
    */
    public Integer getProjectTypeIncrement(){
        return this.projectTypeIncrement;
    }

    /**
    * 设置 增加 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeIncrement
    */
    public void setProjectTypeIncrement(Integer projectTypeIncrement){
        this.projectTypeIncrement = projectTypeIncrement;
    }

    /**
    * 获取 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @return projectTypeList
    */
    public List<Integer> getProjectTypeList(){
        return this.projectTypeList;
    }

    /**
    * 设置 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeList
    */
    public void setProjectTypeList(List<Integer> projectTypeList){
        this.projectTypeList = projectTypeList;
    }

    /**
    * 获取 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @return projectTypeNotList
    */
    public List<Integer> getProjectTypeNotList(){
        return this.projectTypeNotList;
    }

    /**
    * 设置 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeNotList
    */
    public void setProjectTypeNotList(List<Integer> projectTypeNotList){
        this.projectTypeNotList = projectTypeNotList;
    }


    /**
    * 获取 项目名称
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 项目名称
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
    * 获取 项目名称
    * @return titleNotList
    */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
    * 设置 项目名称
    * @param titleNotList
    */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
    * 获取 开始 用户id
    * @return userIdStart
    */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
    * 设置 开始 用户id
    * @param userIdStart
    */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
    * 获取 结束 用户id
    * @return $userIdEnd
    */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
    * 设置 结束 用户id
    * @param userIdEnd
    */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
    * 获取 增加 用户id
    * @return userIdIncrement
    */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
    * 设置 增加 用户id
    * @param userIdIncrement
    */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
    * 获取 用户id
    * @return userIdList
    */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
    * 设置 用户id
    * @param userIdList
    */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
    * 获取 用户id
    * @return userIdNotList
    */
    public List<Long> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
    * 设置 用户id
    * @param userIdNotList
    */
    public void setUserIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
    }


    /**
    * 获取 用户名称
    * @return userNameList
    */
    public List<String> getUserNameList(){
        return this.userNameList;
    }

    /**
    * 设置 用户名称
    * @param userNameList
    */
    public void setUserNameList(List<String> userNameList){
        this.userNameList = userNameList;
    }

    /**
    * 获取 用户名称
    * @return userNameNotList
    */
    public List<String> getUserNameNotList(){
        return this.userNameNotList;
    }

    /**
    * 设置 用户名称
    * @param userNameNotList
    */
    public void setUserNameNotList(List<String> userNameNotList){
        this.userNameNotList = userNameNotList;
    }

    /**
    * 获取 所属部门
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 学习状态(0.未学习,1.已学习)
    * @return studyStatusStart
    */
    public Integer getStudyStatusStart(){
        return this.studyStatusStart;
    }

    /**
    * 设置 开始 学习状态(0.未学习,1.已学习)
    * @param studyStatusStart
    */
    public void setStudyStatusStart(Integer studyStatusStart){
        this.studyStatusStart = studyStatusStart;
    }

    /**
    * 获取 结束 学习状态(0.未学习,1.已学习)
    * @return $studyStatusEnd
    */
    public Integer getStudyStatusEnd(){
        return this.studyStatusEnd;
    }

    /**
    * 设置 结束 学习状态(0.未学习,1.已学习)
    * @param studyStatusEnd
    */
    public void setStudyStatusEnd(Integer studyStatusEnd){
        this.studyStatusEnd = studyStatusEnd;
    }

    /**
    * 获取 增加 学习状态(0.未学习,1.已学习)
    * @return studyStatusIncrement
    */
    public Integer getStudyStatusIncrement(){
        return this.studyStatusIncrement;
    }

    /**
    * 设置 增加 学习状态(0.未学习,1.已学习)
    * @param studyStatusIncrement
    */
    public void setStudyStatusIncrement(Integer studyStatusIncrement){
        this.studyStatusIncrement = studyStatusIncrement;
    }

    /**
    * 获取 学习状态(0.未学习,1.已学习)
    * @return studyStatusList
    */
    public List<Integer> getStudyStatusList(){
        return this.studyStatusList;
    }

    /**
    * 设置 学习状态(0.未学习,1.已学习)
    * @param studyStatusList
    */
    public void setStudyStatusList(List<Integer> studyStatusList){
        this.studyStatusList = studyStatusList;
    }

    /**
    * 获取 学习状态(0.未学习,1.已学习)
    * @return studyStatusNotList
    */
    public List<Integer> getStudyStatusNotList(){
        return this.studyStatusNotList;
    }

    /**
    * 设置 学习状态(0.未学习,1.已学习)
    * @param studyStatusNotList
    */
    public void setStudyStatusNotList(List<Integer> studyStatusNotList){
        this.studyStatusNotList = studyStatusNotList;
    }


    /**
    * 获取 开始 是否置顶(0.否，1.是)
    * @return topStart
    */
    public Integer getTopStart(){
        return this.topStart;
    }

    /**
    * 设置 开始 是否置顶(0.否，1.是)
    * @param topStart
    */
    public void setTopStart(Integer topStart){
        this.topStart = topStart;
    }

    /**
    * 获取 结束 是否置顶(0.否，1.是)
    * @return $topEnd
    */
    public Integer getTopEnd(){
        return this.topEnd;
    }

    /**
    * 设置 结束 是否置顶(0.否，1.是)
    * @param topEnd
    */
    public void setTopEnd(Integer topEnd){
        this.topEnd = topEnd;
    }

    /**
    * 获取 增加 是否置顶(0.否，1.是)
    * @return topIncrement
    */
    public Integer getTopIncrement(){
        return this.topIncrement;
    }

    /**
    * 设置 增加 是否置顶(0.否，1.是)
    * @param topIncrement
    */
    public void setTopIncrement(Integer topIncrement){
        this.topIncrement = topIncrement;
    }

    /**
    * 获取 是否置顶(0.否，1.是)
    * @return topList
    */
    public List<Integer> getTopList(){
        return this.topList;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topList
    */
    public void setTopList(List<Integer> topList){
        this.topList = topList;
    }

    /**
    * 获取 是否置顶(0.否，1.是)
    * @return topNotList
    */
    public List<Integer> getTopNotList(){
        return this.topNotList;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topNotList
    */
    public void setTopNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
    }


    /**
    * 获取 开始 学习时间
    * @return studyTimeStart
    */
    public String getStudyTimeStart(){
        return this.studyTimeStart;
    }

    /**
    * 设置 开始 学习时间
    * @param studyTimeStart
    */
    public void setStudyTimeStart(String studyTimeStart){
        this.studyTimeStart = studyTimeStart;
    }

    /**
    * 获取 结束 学习时间
    * @return studyTimeEnd
    */
    public String getStudyTimeEnd(){
        return this.studyTimeEnd;
    }

    /**
    * 设置 结束 学习时间
    * @param studyTimeEnd
    */
    public void setStudyTimeEnd(String studyTimeEnd){
        this.studyTimeEnd = studyTimeEnd;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ProjectStudyQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ProjectStudyQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ProjectStudyQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ProjectStudyQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ProjectStudyQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public ProjectStudyQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  项目id
    * @param projectId
    */
    public ProjectStudyQuery projectId(Long projectId){
	    setProjectId(projectId);
		return this;
    }
	
	 /**
    * 设置 开始 项目id
    * @param projectIdStart
    */
    public ProjectStudyQuery projectIdStart(Long projectIdStart){
		this.projectIdStart = projectIdStart;
		return this;
    }

    /**
    * 设置 结束 项目id
    * @param projectIdEnd
    */
    public ProjectStudyQuery projectIdEnd(Long projectIdEnd){
		this.projectIdEnd = projectIdEnd;
		return this;
    }

    /**
    * 设置 增加 项目id
    * @param projectIdIncrement
    */
    public ProjectStudyQuery projectIdIncrement(Long projectIdIncrement){
		this.projectIdIncrement = projectIdIncrement;
		return this;
    }

    /**
    * 设置 项目id
    * @param projectIdList
    */
    public ProjectStudyQuery projectIdList(List<Long> projectIdList){
        this.projectIdList = projectIdList;
		return this;
        }

        /**
        * 设置 项目id
        * @param projectIdNotList
        */
        public ProjectStudyQuery projectIdNotList(List<Long> projectIdNotList){
        this.projectIdNotList = projectIdNotList;
        return this;
        }

    /**
    * 设置  项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectType
    */
    public ProjectStudyQuery projectType(Integer projectType){
	    setProjectType(projectType);
		return this;
    }
	
	 /**
    * 设置 开始 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeStart
    */
    public ProjectStudyQuery projectTypeStart(Integer projectTypeStart){
		this.projectTypeStart = projectTypeStart;
		return this;
    }

    /**
    * 设置 结束 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeEnd
    */
    public ProjectStudyQuery projectTypeEnd(Integer projectTypeEnd){
		this.projectTypeEnd = projectTypeEnd;
		return this;
    }

    /**
    * 设置 增加 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeIncrement
    */
    public ProjectStudyQuery projectTypeIncrement(Integer projectTypeIncrement){
		this.projectTypeIncrement = projectTypeIncrement;
		return this;
    }

    /**
    * 设置 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeList
    */
    public ProjectStudyQuery projectTypeList(List<Integer> projectTypeList){
        this.projectTypeList = projectTypeList;
		return this;
        }

        /**
        * 设置 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
        * @param projectTypeNotList
        */
        public ProjectStudyQuery projectTypeNotList(List<Integer> projectTypeNotList){
        this.projectTypeNotList = projectTypeNotList;
        return this;
        }


	/**
    * 设置 项目名称
    * @param title
    */
    public ProjectStudyQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 项目名称
    * @param titleList
    */
    public ProjectStudyQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }

    /**
    * 设置  用户id
    * @param userId
    */
    public ProjectStudyQuery userId(Long userId){
	    setUserId(userId);
		return this;
    }
	
	 /**
    * 设置 开始 用户id
    * @param userIdStart
    */
    public ProjectStudyQuery userIdStart(Long userIdStart){
		this.userIdStart = userIdStart;
		return this;
    }

    /**
    * 设置 结束 用户id
    * @param userIdEnd
    */
    public ProjectStudyQuery userIdEnd(Long userIdEnd){
		this.userIdEnd = userIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户id
    * @param userIdIncrement
    */
    public ProjectStudyQuery userIdIncrement(Long userIdIncrement){
		this.userIdIncrement = userIdIncrement;
		return this;
    }

    /**
    * 设置 用户id
    * @param userIdList
    */
    public ProjectStudyQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
		return this;
        }

        /**
        * 设置 用户id
        * @param userIdNotList
        */
        public ProjectStudyQuery userIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
        return this;
        }


	/**
    * 设置 用户名称
    * @param userName
    */
    public ProjectStudyQuery userName(String userName){
        setUserName(userName);
		return this;
    }

    /**
    * 设置 用户名称
    * @param userNameList
    */
    public ProjectStudyQuery userNameList(List<String> userNameList){
        this.userNameList = userNameList;
		return this;
    }


	/**
    * 设置 所属部门
    * @param deptName
    */
    public ProjectStudyQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptNameList
    */
    public ProjectStudyQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  学习状态(0.未学习,1.已学习)
    * @param studyStatus
    */
    public ProjectStudyQuery studyStatus(Integer studyStatus){
	    setStudyStatus(studyStatus);
		return this;
    }
	
	 /**
    * 设置 开始 学习状态(0.未学习,1.已学习)
    * @param studyStatusStart
    */
    public ProjectStudyQuery studyStatusStart(Integer studyStatusStart){
		this.studyStatusStart = studyStatusStart;
		return this;
    }

    /**
    * 设置 结束 学习状态(0.未学习,1.已学习)
    * @param studyStatusEnd
    */
    public ProjectStudyQuery studyStatusEnd(Integer studyStatusEnd){
		this.studyStatusEnd = studyStatusEnd;
		return this;
    }

    /**
    * 设置 增加 学习状态(0.未学习,1.已学习)
    * @param studyStatusIncrement
    */
    public ProjectStudyQuery studyStatusIncrement(Integer studyStatusIncrement){
		this.studyStatusIncrement = studyStatusIncrement;
		return this;
    }

    /**
    * 设置 学习状态(0.未学习,1.已学习)
    * @param studyStatusList
    */
    public ProjectStudyQuery studyStatusList(List<Integer> studyStatusList){
        this.studyStatusList = studyStatusList;
		return this;
        }

        /**
        * 设置 学习状态(0.未学习,1.已学习)
        * @param studyStatusNotList
        */
        public ProjectStudyQuery studyStatusNotList(List<Integer> studyStatusNotList){
        this.studyStatusNotList = studyStatusNotList;
        return this;
        }

    /**
    * 设置  是否置顶(0.否，1.是)
    * @param top
    */
    public ProjectStudyQuery top(Integer top){
	    setTop(top);
		return this;
    }
	
	 /**
    * 设置 开始 是否置顶(0.否，1.是)
    * @param topStart
    */
    public ProjectStudyQuery topStart(Integer topStart){
		this.topStart = topStart;
		return this;
    }

    /**
    * 设置 结束 是否置顶(0.否，1.是)
    * @param topEnd
    */
    public ProjectStudyQuery topEnd(Integer topEnd){
		this.topEnd = topEnd;
		return this;
    }

    /**
    * 设置 增加 是否置顶(0.否，1.是)
    * @param topIncrement
    */
    public ProjectStudyQuery topIncrement(Integer topIncrement){
		this.topIncrement = topIncrement;
		return this;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topList
    */
    public ProjectStudyQuery topList(List<Integer> topList){
        this.topList = topList;
		return this;
        }

        /**
        * 设置 是否置顶(0.否，1.是)
        * @param topNotList
        */
        public ProjectStudyQuery topNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
        return this;
        }



	/**
    * 设置 备注
    * @param remark
    */
    public ProjectStudyQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public ProjectStudyQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ProjectStudyQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ProjectStudyQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ProjectStudyQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ProjectStudyQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ProjectStudyQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ProjectStudyQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public ProjectStudyQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public ProjectStudyQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public ProjectStudyQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public ProjectStudyQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public ProjectStudyQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public ProjectStudyQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProjectStudyQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProjectStudyQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProjectStudyQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProjectStudyQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}